<div id="parametria" class="general">
  <div class="Home"><span class="glyphicon glyphicon-saved" aria-hidden="false"></span> Parametría</div>
  <div id="toolbar">
     <button id="insert" class="btn btn-primary" onClick="insertarValidacion();">
        <i class="glyphicon glyphicon-check"></i> Insertar Validación
     </button>
  </div>
  <div id="busquedaAvanzada">
    <div class="input-group-btn">
      <button class="btn btn-default dropdown-toggle" aria-label="busAvanzada" title="Busqueda Avanzada" data-toggle="dropdown" type="button">
        <i class="glyphicon glyphicon-search icon-share"></i>
        <span class="caret"></span>
      </button>
      <div class="dropdown-menu stop-propagation" role="menu" style="min-width:345px;padding:5px;">
        <div class="row" style="margin:0px;">
          <div class="col-md-12">
            <label style="margin:0px;">Periodo</label>
            <select id="cmbPeriodosValid" class="form-control">
            </select>
          </div>
        </div>
        <div class="row" style="margin:0px;">
          <div class="col-md-12">
            <label style="margin:0px;">Sección</label>
            <select id="cmbSeccionesValid" class="form-control" onchange="selectSeccion(this);">
              <option value="-1" selected >--Secciones--</option>
            </select>
          </div>
        </div>
        <div class="row" style="margin:0px;">
          <div class="col-md-12">
            <label style="margin:0px;">Concepto</label>
            <select id="cmbConceptosValid" class="form-control">
              <option value="-1" selected>--Conceptos--</option>
            </select>
          </div>
        </div>
        <div class="row" style="margin:0px;">
          <div class="col-md-12" style="margin:20px 10px 10px 0px;">
            <button type="button" class="btn btn-success btn-block" aria-label="" onClick="filtrarPeriodo();">
              <span class="glyphicon glyphicon-search" aria-hidden="true"></span> Buscar
            </button>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div id="botonera">
    <div class="columns columns-right btn-group pull-right">
      <button type="button" class="btn btn-default" aria-label="deletePeriodo" title="Eliminar Periodo" onClick="modalDeletePeriodo();">
        <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
      </button>
      <button type="button" class="btn btn-default" aria-label="copyPeriodo" title="Duplicar Periodo" onClick="modalCopyPeriodo();">
        <span class="glyphicon glyphicon-duplicate" aria-hidden="true"></span>
      </button>
    </div>
  </div>
  <div class="TableResponsive">
    <table id="tableValid" data-click-edit="true" data-toolbar="#toolbar" data-show-export="true"></table>
  </div>
  <div class="modal fade" tabindex="-1" id="dialogo_eliminar" role="dialog">
    <div class="modal-dialog" align="center">
      <div class="modal-content" align="left">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">
            <span class="glyphicon glyphicon-remove-circle"></span>
          </button>
          <h4 class="modal-title">Eliminar Periodo</h4>
        </div>
        <div class="modal-body">
          <p>
            Estimado usuario, ¿Esta seguro de que desea eliminar el periodo seleccionado?
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" onclick="eliminarPeriodo();">Confirmar</button>
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" >Cancelar</button>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" tabindex="-1" id="dialogo_eliminar_validacion" role="dialog">
    <div class="modal-dialog" align="center">
      <div class="modal-content" align="left">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">
            <span class="glyphicon glyphicon-remove-circle"></span>
          </button>
          <h4 class="modal-title">Eliminar Validación</h4>
        </div>
        <div class="modal-body">
          <p>
            Estimado usuario, ¿Esta seguro de que desea eliminar la validación seleccionada?
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" onclick="eliminarValidacion();">Confirmar</button>
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" >Cancelar</button>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" tabindex="-1" id="dialogo_duplicar" role="dialog">
    <div class="modal-dialog" align="center">
      <div class="modal-content" align="left">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">
            <span class="glyphicon glyphicon-remove-circle"></span>
          </button>
          <h4 class="modal-title">Duplicar Periodo</h4>
        </div>
        <div class="modal-body">
          <p>
            Estimado usuario, Ingrese el nombre del nuevo periodo.
          </p>
          <form id="formPeriodo">
            <div class="form-group">
              <input type="number" id="txtPeriodo" name="txtPeriodo" class="form-control" placeholder="Nuevo Periodo"/>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" id="btnDuplicarPeriodo" class="btn btn-primary btn-100" data-dismiss="modal" onclick="duplicarPeriodo();">Confirmar</button>
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" >Cancelar</button>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" tabindex="-1" id="add_validacion" role="dialog">
    <div class="modal-dialog" align="center">
      <div class="modal-content" align="left">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">
            <span class="glyphicon glyphicon-remove-circle"></span>
          </button>
          <h4 class="modal-title">Insertar Validación</h4>
        </div>
        <div class="modal-body" style="overflow:auto;height:450px;">
          <form id="formValidacion">
            <div class="form-group">
              <label for="cdSeccion" class="control-label">*Sección</label>
              <div class="input-group">
                <select id="cdSeccion" name="cdSeccion" class="form-control" onchange="selectSeccionForm(this);">
                  <option selected></option>
                </select>
                <span class="input-group-addon" style="padding-right:20px;"></span>
              </div>
            </div>
            <div class="form-group">
              <label for="cdConcepto" class="control-label">*Concepto</label>
              <div class="input-group">
                <select id="cdConcepto" name="cdConcepto" class="form-control">
                  <option selected></option>
                </select>
                <span class="input-group-addon" style="padding-right:20px;"></span>
              </div>
            </div>
            <div class="form-group">
              <label for="stCriticidad" class="control-label">*Criticidad</label>
              <div class="input-group">
                <select id="stCriticidad" name="stCriticidad" class="form-control">
                  <option selected></option>
                  <option value="1">CRÍTICO</option>
                  <option value="0">NO CRÍTICO</option>
                </select>
                <span class="input-group-addon" style="padding-right:20px;"></span>
              </div>
            </div>
            <div class="form-group">
              <label for="fhCierre" class="control-label ">*Cierre</label>
              <input id="fhCierre" name="fhCierre" class="form-control"/>
            </div>
            <div class="form-group">
              <label for="nbEsquema" class="control-label">*Esquema Tbl.</label>
              <input id="nbEsquema" name="nbEsquema" class="form-control"/>
            </div>
            <div class="form-group">
              <label for="nbTabla" class="control-label">*Tbl. Origen</label>
              <input id="nbTabla" name="nbTabla" class="form-control" />
            </div>
            <div class="form-group">
              <label for="cdWorkflow" class="control-label">ID Workflow</label>
              <input id="cdWorkflow" name="cdWorkflow" class="form-control"/>
            </div>
            <div class="form-group">
              <label for="nbWorkflow" class="control-label">Workflow</label>
              <input id="nbWorkflow" name="nbWorkflow" class="form-control"/>
            </div>
            <div class="form-group">
              <label for="txSqlQuery" class="control-label">*Query</label>
              <textarea id="txSqlQuery" name="txSqlQuery" class="form-control" rows="4" maxlength="1000"></textarea>
              <div id="contador" class="label label-warning"></div>
            </div>
            <div class="form-group">
              <label for="txDesQuery" class="control-label ">*Desc.Qry</label>
              <textarea id="txDesQuery" name="txDesQuery" class="form-control" rows="2"></textarea>
            </div>
          </form>
        </div>
        <div class="modal-footer">
          <button type="button" id="btnInsertarValidacion" class="btn btn-primary btn-100" data-dismiss="modal" onclick="guardarValidacion();">Guardar</button>
          <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" >Cancelar</button>
        </div>
      </div>
    </div>
  </div>
</div>
<script src="js/parametria.js"></script>
